package me.wazup.hideandseek.commands.user;

import org.bukkit.entity.Player;
import org.bukkit.command.CommandSender;
import me.wazup.hideandseek.Customization;
import me.wazup.hideandseek.HideAndSeek;
import me.wazup.hideandseek.commands.SubCommand;

public class LobbyCommand extends SubCommand
{
    public LobbyCommand() {
        super((String)null, false, (String)null);
    }
    
    public boolean execute(final HideAndSeek hideAndSeek, final Customization customization, final CommandSender commandSender, final String[] array) {
        final Player player = (Player)commandSender;
        if (hideAndSeek.game.contains(player.getName())) {
            player.sendMessage((String)customization.messages.get("in_game"));
            return true;
        }
        if (hideAndSeek.globalLobby == null) {
            player.sendMessage((String)customization.messages.get("no_global_lobby"));
            return true;
        }
        player.teleport(hideAndSeek.globalLobby);
        return true;
    }
}
